package org.ow2.jasmine.probe.itests.dummymbeanservice;

import java.beans.ConstructorProperties;

public class Address {
    
    private String addr;
    private int code;
    private String city;

    @ConstructorProperties({"addr", "code", "city"})
    public Address(String addr, int code, String city) {
        this.addr = addr;
        this.code = code;
        this.city = city;
    }
    public String getAddr() {
        return this.addr;
    }
    public int getCode() {
        return this.code;
    }
    public String getCity() {
        return this.city;
    }
    public String toString() {
        String v = "(addr='"+addr+"',code='"+code+"',city='"+city+"')";
        return v;
    }

}
