/**
 * JASMINe
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: BasicMBean.java 9808 2012-02-09 12:13:02Z joaninh $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.probe.itests.dummymbeanservice;

/**
 * @author joaninh
 * 
 */

public interface BasicMBean {

    String getName();

    int getCIncrement();

    void setCIncrement(int increment);

    int getCAmplitude();

    void setCAmplitude(int amplitude);

    int getCStep();

    void setCStep(int step);

    String getVDescription();

    int getVPeriod();

    int getVIncremented();

    int getVSinusoidal();

    int getCInt1();

    int getCInt2();

    float getCFloat1();

    float getCFloat2();

    void reset();

}
