package org.ow2.jasmine.probe.itests.dummymbeanservice;

import java.beans.ConstructorProperties;

public class Person {
    
    private String firstName;
    private String lastName;
    private Sexe sexe;
    private Address address;
    private int yearOfBirth;
    private Integer[] children;

    @ConstructorProperties({"firstName", "lastName", "sexe", "dateOfBirth", "address", "children"})
    public Person(String fn, String ln, Sexe s, Address addr, int dob, Integer[] c) {
        this.firstName = fn;
        this.lastName = ln;
        this.sexe = s;
        this.yearOfBirth = dob;
        this.address = addr;
        this.children = c;
    }
    public String getFirstName() {
        return this.firstName;
    }
    public String getLastName() {
        return this.lastName;
    }
    public Sexe getSexe() {
        return this.sexe;
    }
    public Address getAddress() {
        return this.address;
    }
    public int getYearOfBirth() {
        return this.yearOfBirth;
    }
    public Integer[] getChildren() {
        return this.children;
    }
    public String toString() {
        StringBuffer sb = new StringBuffer();
        for (Integer elt : children) {
            sb.append(elt + ",");
        }
        String v = "(firstName='"+firstName+"',lastName='"+lastName+"',sexe='"+sexe+"',yearOfBirth='"+yearOfBirth+"',address='"+address+"',children='"+sb+"')";
        return v;
    }

}
